## sssd 2.11.1

=== src/tests/tests/intg/Makefile ===
# Makefile.in generated by automake 1.17 from Makefile.am.
# src/tests/intg/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2024 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.






am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
am__rm_f = rm -f $(am__rm_f_notfound)
am__rm_rf = rm -rf $(am__rm_f_notfound)
pkgdatadir = $(datadir)/sssd
pkgincludedir = $(includedir)/sssd
pkglibdir = $(libdir)/sssd
pkglibexecdir = $(libexecdir)/sssd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
#bin_PROGRAMS = sss_netgroup_thread_test$(EXEEXT)
subdir = src/tests/intg
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/version.m4 $(top_srcdir)/src/build_macros.m4 \
	$(top_srcdir)/src/external/platform.m4 \
	$(top_srcdir)/src/conf_macros.m4 \
	$(top_srcdir)/src/external/pkg.m4 \
	$(top_srcdir)/src/external/libpopt.m4 \
	$(top_srcdir)/src/external/libtalloc.m4 \
	$(top_srcdir)/src/external/libtdb.m4 \
	$(top_srcdir)/src/external/libtevent.m4 \
	$(top_srcdir)/src/external/libldb.m4 \
	$(top_srcdir)/src/external/libdhash.m4 \
	$(top_srcdir)/src/external/libini_config.m4 \
	$(top_srcdir)/src/external/libgssapi_krb5.m4 \
	$(top_srcdir)/src/external/pam.m4 \
	$(top_srcdir)/src/external/ldap.m4 \
	$(top_srcdir)/src/external/libpcre.m4 \
	$(top_srcdir)/src/external/krb5.m4 \
	$(top_srcdir)/src/external/libcares.m4 \
	$(top_srcdir)/src/external/libcmocka.m4 \
	$(top_srcdir)/src/external/docbook.m4 \
	$(top_srcdir)/src/external/sizes.m4 \
	$(top_srcdir)/src/external/python.m4 \
	$(top_srcdir)/src/external/selinux.m4 \
	$(top_srcdir)/src/external/crypto.m4 \
	$(top_srcdir)/src/external/nsupdate.m4 \
	$(top_srcdir)/src/external/libkeyutils.m4 \
	$(top_srcdir)/src/external/libkrad.m4 \
	$(top_srcdir)/src/external/libnl.m4 \
	$(top_srcdir)/src/external/pac_responder.m4 \
	$(top_srcdir)/src/external/cifsidmap.m4 \
	$(top_srcdir)/src/external/signal.m4 \
	$(top_srcdir)/src/external/inotify.m4 \
	$(top_srcdir)/src/external/samba.m4 \
	$(top_srcdir)/src/external/sasl.m4 \
	$(top_srcdir)/src/external/libnfsidmap.m4 \
	$(top_srcdir)/src/external/cwrap.m4 \
	$(top_srcdir)/src/external/libresolv.m4 \
	$(top_srcdir)/src/external/intgcheck.m4 \
	$(top_srcdir)/src/external/systemtap.m4 \
	$(top_srcdir)/src/external/service.m4 \
	$(top_srcdir)/src/external/test_ca.m4 \
	$(top_srcdir)/src/external/ax_valgrind_check.m4 \
	$(top_srcdir)/src/external/libjansson.m4 \
	$(top_srcdir)/src/external/libcurl.m4 \
	$(top_srcdir)/src/external/libjose.m4 \
	$(top_srcdir)/src/external/libuuid.m4 \
	$(top_srcdir)/src/external/libunistring.m4 \
	$(top_srcdir)/src/external/libpasskey.m4 \
	$(top_srcdir)/src/external/systemd.m4 \
	$(top_srcdir)/src/external/p11-kit.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__dist_dbussysconf_DATA_DIST) \
	$(dist_noinst_DATA) $(am__DIST_COMMON)
mkinstalldirs = $(SHELL) $(top_srcdir)/build/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libdir)" \
	"$(DESTDIR)$(nsslibdir)" "$(DESTDIR)$(dbussysconfdir)"
PROGRAMS = $(bin_PROGRAMS)
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
       $(am__cd) "$$dir" && echo $$files | $(am__xargs_n) 40 $(am__rm_f); }; \
  }
LTLIBRARIES = $(lib_LTLIBRARIES) $(nsslib_LTLIBRARIES)
am__DEPENDENCIES_1 =
#getsockopt_wrapper_la_DEPENDENCIES =  \
#	$(am__DEPENDENCIES_1)
am__getsockopt_wrapper_la_SOURCES_DIST = getsockopt_wrapper.c
#am_getsockopt_wrapper_la_OBJECTS =  \
#	getsockopt_wrapper_la-getsockopt_wrapper.lo
getsockopt_wrapper_la_OBJECTS = $(am_getsockopt_wrapper_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
getsockopt_wrapper_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(getsockopt_wrapper_la_CFLAGS) $(CFLAGS) \
	$(getsockopt_wrapper_la_LDFLAGS) $(LDFLAGS) -o $@
#am_getsockopt_wrapper_la_rpath = -rpath $(libdir)
libnss_call_la_LIBADD =
am__libnss_call_la_SOURCES_DIST = nss_call.c
#am_libnss_call_la_OBJECTS = nss_call.lo
libnss_call_la_OBJECTS = $(am_libnss_call_la_OBJECTS)
libnss_call_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(AM_CFLAGS) $(CFLAGS) $(libnss_call_la_LDFLAGS) $(LDFLAGS) -o \
	$@
#am_libnss_call_la_rpath = -rpath $(nsslibdir)
am__sss_netgroup_thread_test_SOURCES_DIST =  \
	sss_netgroup_thread_test.c
#am_sss_netgroup_thread_test_OBJECTS = sss_netgroup_thread_test-sss_netgroup_thread_test.$(OBJEXT)
sss_netgroup_thread_test_OBJECTS =  \
	$(am_sss_netgroup_thread_test_OBJECTS)
sss_netgroup_thread_test_DEPENDENCIES =
sss_netgroup_thread_test_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(sss_netgroup_thread_test_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/build/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade =  \
	./$(DEPDIR)/getsockopt_wrapper_la-getsockopt_wrapper.Plo \
	./$(DEPDIR)/nss_call.Plo \
	./$(DEPDIR)/sss_netgroup_thread_test-sss_netgroup_thread_test.Po
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(getsockopt_wrapper_la_SOURCES) $(libnss_call_la_SOURCES) \
	$(sss_netgroup_thread_test_SOURCES)
DIST_SOURCES = $(am__getsockopt_wrapper_la_SOURCES_DIST) \
	$(am__libnss_call_la_SOURCES_DIST) \
	$(am__sss_netgroup_thread_test_SOURCES_DIST)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__dist_dbussysconf_DATA_DIST = cwrap-dbus-system.conf
DATA = $(dist_dbussysconf_DATA) $(dist_noinst_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/build/depcomp \
	$(top_srcdir)/build/mkinstalldirs
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/var/home/pbrezina/workspace/sssd-origin/sssd-2.11.1/build/missing' aclocal-1.17
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} '/var/home/pbrezina/workspace/sssd-origin/sssd-2.11.1/build/missing' autoconf
AUTOHEADER = ${SHELL} '/var/home/pbrezina/workspace/sssd-origin/sssd-2.11.1/build/missing' autoheader

=== debian/changelog ===
sssd (2.11.1-1) unstable; urgency=medium

  * New upstream release.
  * watch: Updated.
  * d/p/drop-valgrind.diff: Dropped, obsolete.
  * source: Update local-options.
  * rules, install: Drop files-provider, removed upstream.
  * sssd-common: Add sssd-idp.
  * copyright: Update FSF address.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Nov 2025 16:34:59 +0200

=== debian/control ===
Source: sssd
Section: utils
Priority: optional
Maintainer: Debian SSSD Team <pkg-sssd-devel@alioth-lists.debian.net>
Uploaders: Timo Aaltonen <tjaalton@debian.org>,
 Dominik George <natureshadow@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5),
 autopoint,
 bc,
 check <!nocheck>,
 cifs-utils,
 debhelper-compat (= 13),
 dh-apparmor,
 dh-python,
 dh-sequence-installnss,
 bind9-dnsutils,
 docbook-xml,
 docbook-xsl,
 dpkg-dev (>= 1.16.1~),
 faketime <!nocheck>,
 gnutls-bin <!nocheck>,
 krb5-config,
 ldap-utils,
 libaugeas-dev,
 libc-ares-dev,
 libcap-dev,
 libcmocka-dev <!nocheck>,
 libcollection-dev,
 libcurl4-openssl-dev,
 libdbus-1-dev,
 libdhash-dev,
 libfido2-dev,
 libgdm-dev [!s390x !kfreebsd-any !hurd-any],
 libglib2.0-dev,
 libini-config-dev,
 libjansson-dev,
 libjose-dev,
 libkeyutils-dev [linux-any],
 libkrad-dev,
 libkrb5-dev (>= 1.12),
 libldap2-dev,
 libldb-dev,
 libltdl-dev,
 libnfsidmap-dev,
 libnl-3-dev [linux-any],
 libnl-route-3-dev [linux-any],
 libnss-wrapper <!nocheck>,
 libp11-kit-dev,
 libpam-wrapper <!nocheck>,
 libpam0g-dev | libpam-dev,
 libpcre2-dev,
 libpopt-dev,
 libsasl2-dev,
 libselinux1-dev [linux-any],
 libsemanage-dev [linux-any],
 libsmbclient-dev,
 libssl-dev,
 libsubid-dev,
 libsystemd-dev [linux-any],
 libtalloc-dev,
 libtdb-dev,
 libtevent-dev,
 libuid-wrapper <!nocheck>,
 libunistring-dev,
 libxml2-utils,
 lsb-release,
 openssh-client <!nocheck>,
 openssl <!nocheck>,
 pkgconf,
 python3-dev,
 python3-setuptools,
 samba-dev (>= 2:4.1.13),
 softhsm2 <!nocheck>,
 systemd,
 systemd-dev,
 systemtap-sdt-dev,
 uuid-dev,
 xml-core,
 xsltproc
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/sssd-team/sssd.git
Vcs-Browser: https://salsa.debian.org/sssd-team/sssd
Homepage: https://github.com/SSSD/sssd

Package: sssd
Section: metapackages
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends:
 python3-sss (= ${binary:Version}),
 sssd-ad (= ${binary:Version}),
 sssd-common (= ${binary:Version}),
 sssd-ipa (= ${binary:Version}),
 sssd-krb5 (= ${binary:Version}),
 sssd-ldap (= ${binary:Version}),
 sssd-proxy (= ${binary:Version}),
 ${misc:Depends}
Description: System Security Services Daemon -- metapackage
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package is a metapackage which installs the daemon and existing
 authentication back ends.

Package: sssd-common
Architecture: any
Depends:
 libcap2-bin,
 libnss-sss (= ${binary:Version}),
 libpam-sss (= ${binary:Version}),
 python3,
 python3-sss,
 ${misc:Depends},
 ${shlibs:Depends},
 adduser,
Recommends:
 bind9-dnsutils,
 bind9-host,
Suggests:
 apparmor,
 libsss-sudo,
 sssd-tools
Description: System Security Services Daemon -- common files
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package provides the daemon and other common files needed by the
 authentication back ends.

Package: sssd-ad
Architecture: any
Depends:
 libcap2-bin,
 libsss-idmap0 (= ${binary:Version}),
 sssd-ad-common (= ${binary:Version}),
 sssd-common (= ${binary:Version}),
 sssd-krb5-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 adcli,
Description: System Security Services Daemon -- Active Directory back end
 Provides the Active Directory back end that the SSSD can utilize to fetch
 identity data from and authenticate against an Active Directory server.

Package: sssd-ad-common
Architecture: any
Depends: sssd-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: System Security Services Daemon -- PAC responder
 Provides the PAC responder that the AD and IPA backends can use for
 fetching additional attributes from the kerberos ticket.

Package: sssd-dbus
Architecture: any
Depends: sssd-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: System Security Services Daemon -- D-Bus responder
 Provides the D-Bus responder called InfoPipe, that allows the information
 from the SSSD to be transmitted over the system bus.

Package: sssd-idp
Architecture: any
Depends: sssd-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: System Security Services Daemon -- Kerberos plugins for external id providers
 Provides Kerberos plugins that are required to enable authentication against
 external identity providers.

Package: sssd-ipa
Architecture: any
Depends:
 libcap2-bin,
 libipa-hbac0t64 (= ${binary:Version}),
 libsss-idmap0 (= ${binary:Version}),
 sssd-ad-common (= ${binary:Version}),
 sssd-common (= ${binary:Version}),
 sssd-krb5-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: System Security Services Daemon -- IPA back end
 Provides the IPA back end that the SSSD can utilize to fetch identity data
 from and authenticate against an IPA server.

Package: sssd-kcm
Architecture: any
Depends:
 sssd-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: System Security Services Daemon -- Kerberos KCM server implementation
 Provides an implementation of a Kerberos KCM server. Use this package if
 you want to use the KCM: Kerberos credentials cache.

Package: sssd-krb5
Architecture: any
Depends:
 sssd-common (= ${binary:Version}),
 sssd-krb5-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: sssd-common (<< 2.7.0-1)
Replaces: sssd-common (<< 2.7.0-1)
Description: System Security Services Daemon -- Kerberos back end
 Provides the Kerberos back end that the SSSD can utilize authenticate
 against a Kerberos server.

Package: sssd-krb5-common
Architecture: any
Depends: sssd-common (= ${binary:Version}),
 libcap2-bin,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
Description: System Security Services Daemon -- Kerberos helpers
 Provides helper processes that the LDAP and Kerberos back ends can use for
 Kerberos user or host authentication.

Package: sssd-ldap
Architecture: any
Depends:
 libsss-idmap0 (= ${binary:Version}),
 sssd-common (= ${binary:Version}),
 sssd-krb5-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: ldap-utils
Suggests: libsasl2-modules-ldap
Description: System Security Services Daemon -- LDAP back end
 Provides the LDAP back end that the SSSD can utilize to fetch identity data
 from and authenticate against an LDAP server.

Package: sssd-passkey
Architecture: any
Depends: sssd-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: System Security Services Daemon -- passkey helpers and plugins
 Provides the helper processes and Kerberos plugins that are required to
 enable authentication with a passkey token.

Package: sssd-proxy
Architecture: any
Depends: sssd-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: System Security Services Daemon -- proxy back end
 Provides the proxy back end which can be used to wrap an existing NSS and/or
 PAM modules to leverage SSSD caching.

Package: sssd-tools
Architecture: any
Depends:
 python3,
 python3-sss,
 python3-systemd,
 sssd-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: sssd-dbus
Description: System Security Services Daemon -- tools
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package provides tools to manage users, groups and nested groups when
 using the local id provider.

Package: libnss-sss
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: sssd
Multi-Arch: same
Description: Nss library for the System Security Services Daemon
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package provide the nss library to connect to the sssd daemon.

Package: libpam-sss
Architecture: any
Depends:
 libpam-pwquality (>= 1.2.2-1),
 libpam-runtime (>= 1.0.1-6),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: sssd
Multi-Arch: same
Description: Pam module for the System Security Services Daemon
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package provide the pam module to connect to the sssd daemon.

Package: libipa-hbac0t64
Provides: ${t64:Provides}
Replaces: libipa-hbac0
Breaks: libipa-hbac0 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: FreeIPA HBAC Evaluator library
 Utility library to validate FreeIPA HBAC rules for authorization requests.

Package: libipa-hbac-dev
Section: libdevel
Architecture: any
Depends: libipa-hbac0t64 (= ${binary:Version}), ${misc:Depends}
Description: FreeIPA HBAC Evaluator library -- development files
 Utility library to validate FreeIPA HBAC rules for authorization requests.
 .
 This package contains header files and symlinks to develop programs which will
 use the libipa-hbac library.

Package: libsss-certmap0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Certificate mapping library for SSSD
 Library to map certificates to users based on rules.

Package: libsss-certmap-dev
Section: libdevel
Architecture: any
Depends: libsss-certmap0 (= ${binary:Version}), ${misc:Depends}
Description: Certificate mapping library for SSSD -- development files
 Utility library to map certificates to users based on rules.
 .
 This package contains header files and symlinks to develop programs which will
 use the libsss-certmap library.

Package: libsss-idmap0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ID mapping library for SSSD
 Utility library to convert SIDs to Unix uids and gids.

Package: libsss-idmap-dev
Section: libdevel
Architecture: any
Depends: libsss-idmap0 (= ${binary:Version}), ${misc:Depends}
Description: ID mapping library for SSSD -- development files
 Utility library to convert SIDs to Unix uids and gids.
 .
 This package contains header files and symlinks to develop programs which will
 use the libsss-idmap library.

Package: libsss-nss-idmap0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SID based lookups library for SSSD
 Utility library for SID based lookups.

Package: libsss-nss-idmap-dev
Section: libdevel
Architecture: any
Depends: libsss-nss-idmap0 (= ${binary:Version}), ${misc:Depends}
Description: SID based lookups library for SSSD -- development files
 Utility library for SID based lookups.
 .
 This package contains header files and symlinks to develop programs which will
 use the libsss-nss-idmap library.

Package: libsss-sudo
Section: libs
Architecture: any
Depends: libnss-sudo, ${misc:Depends}, ${shlibs:Depends}
Description: Communicator library for sudo

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python3 \
		--builddirectory=build

export DEB_BUILD_MAINT_OPTIONS = optimize=-lto

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += -I/usr/include/samba-4.0

export CK_DEFAULT_TIMEOUT=30
export am_cv_python_pythondir=/usr/lib/python3/dist-packages
export am_cv_python_pyexecdir=/usr/lib/python3/dist-packages
export systemdsystemunitdir=$(shell pkgconf --variable=systemdsystemunitdir systemd | sed s,^/,,)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

APIDOCDIR = /usr/share/sssd
DISTRIBUTION = $(shell lsb_release -i | sed 's/.*:\t//')
PKGDATE = $(shell dpkg-parsechangelog | \
	awk -F" " '/^Date/ { print $$4 "/" $$3 "/" $$5 }' | \
	sed 's/Jan/01/;s/Feb/02/;s/Mar/03/;s/Apr/04/;s/May/05/;s/Jun/06/;s/Jul/07/;s/Aug/08/;s/Sep/09/;s/Oct/10/;s/Nov/11/;s/Dec/12/;s/\//\\\//g')
CURDATE = $(shell date +%m/%d/%Y | sed 's/\//\\\//g')
export CK_VERBOSITY=verbose

override_dh_auto_configure:
	dh_auto_configure -- --enable-krb5-locator-plugin \
	--datadir=/usr/share/ \
	--with-environment-file=/etc/default/sssd \
	--with-krb5-plugin-path=/usr/lib/$(DEB_HOST_MULTIARCH)/krb5/plugins/libkrb5 \
	--enable-nsslibdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--enable-pammoddir=/usr/lib/$(DEB_HOST_MULTIARCH)/security \
	--enable-systemtap \
	--disable-static \
	--disable-rpath \
	--with-autofs \
	--with-crypto=libcrypto \
	--with-ssh \
	--with-initscript=systemd \
	--with-systemdunitdir=/$(systemdsystemunitdir) \
	--with-smb-idmap-interface-version=6 \
	--without-python2-bindings \
	--with-syslog=journald \
	--with-pid-path=/run \
	--with-sssd-user=root \
	--with-sudo \
	--with-subid \
	--with-passkey

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	export CK_TIMEOUT_MULTIPLIER=10
  ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
	dh_auto_test -- VERBOSE=yes || true
  else
	dh_auto_test -- VERBOSE=yes
  endif
	unset CK_TIMEOUT_MULTIPLIER
endif

override_dh_auto_install:
	dh_auto_install --max-parallel=1

override_dh_fixperms:
	dh_fixperms -Xproxy_child -Xkrb5_child -Xldap_child -Xselinux_child -Xsssd_pam

override_dh_install:
	install -D -m755 $(CURDIR)/debian/generate-config \
		$(CURDIR)/debian/tmp/usr/share/sssd/generate-config

	mkdir -p $(CURDIR)/debian/libpam-sss/usr/share/pam-configs
	install -m644 debian/libpam-sss.pam-auth-update \
		$(CURDIR)/debian/libpam-sss/usr/share/pam-configs/sss
	install -m644 debian/libpam-sss-smart-card-optional.pam-auth-update \
		$(CURDIR)/debian/libpam-sss/usr/share/pam-configs/sss-smart-card-optional
	install -m644 debian/libpam-sss-smart-card-required.pam-auth-update \
		$(CURDIR)/debian/libpam-sss/usr/share/pam-configs/sss-smart-card-required
	install -m644 -D $(CURDIR)/debian/apparmor-profile \
		$(CURDIR)/debian/sssd-common/etc/apparmor.d/usr.sbin.sssd

	# remove files we don't want to install
	find $(CURDIR)/debian/tmp/ -name '*.la' -exec rm '{}' ';'
	find $(CURDIR)/debian/tmp/ -name '*.pyc' -exec rm '{}' ';'
	# We need to use '+' instead of ';' due to the way 'find' and
	# 'rm' interact with each other.
	find $(CURDIR)/debian/tmp/ -name '*.egg-info' -exec rm -r '{}' '+'
	rm -f $(CURDIR)/debian/tmp/etc/rc.d/init.d/sssd

	# match nn/nn/nnnn, replace with the date from changelog
	sed -i 's/[0-1][0-9]\/[0-3][0-9]\/[0-9][0-9][0-9][0-9]/${PKGDATE}/g' $(CURDIR)/debian/tmp/usr/share/man/man*/*

	# change the shebang
	sed -i -e 's:/usr/bin/python:/usr/bin/python3:' $(CURDIR)/debian/tmp/usr/sbin/sss_obfuscate

	mkdir -p debian/tmp/etc/krb5.conf.d
	# Enable krb5 idp plugins by default (when sssd-idp package is installed)
	cp debian/tmp/usr/share/sssd/krb5-snippets/sssd_enable_idp \
		debian/tmp/etc/krb5.conf.d/sssd_enable_idp
	# Kerberos KCM credential cache by default
	cp debian/tmp/usr/share/sssd-kcm/kcm_default_ccache \
		debian/tmp/etc/krb5.conf.d/kcm_default_ccache
	# krb5 configuration snippet
	cp debian/tmp/usr/share/sssd/krb5-snippets/enable_sssd_conf_dir \
		debian/tmp/etc/krb5.conf.d/enable_sssd_conf_dir

	dh_install

override_dh_installman:

override_dh_missing:
	dh_missing --fail-missing

override_dh_installinit:
	dh_apparmor -psssd-common --profile-name=usr.sbin.sssd
	dh_installinit --name sssd --error-handler=invoke_failure

override_dh_installdeb:
	dh_installdeb
	for pkg in sssd-common sssd-ipa sssd-krb5-common sssd-proxy; do \
		sed -i 's/@TRIPLET@/${DEB_HOST_MULTIARCH}/' \
		$(CURDIR)/debian/$$pkg/DEBIAN/postinst; \
	done

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/po/*.gmo
	rm -f $(CURDIR)/src/config/*.pyc
	rm -f $(CURDIR)/po/stamp-po
	rm -f $(CURDIR)/src/sbus/codegen/__pycache__/*.pyc

=== debian/tests/control ===
Tests: ldap-user-group-ldap-auth
Depends: @, slapd, ldap-utils, openssl, expect, lsb-release, openssh-server
Restrictions: isolation-container, needs-root, allow-stderr

Tests: ldap-user-group-krb5-auth
Depends: @, slapd, ldap-utils, openssl, expect, lsb-release, krb5-user, krb5-admin-server, krb5-kdc, openssh-server
Restrictions: isolation-container, needs-root, allow-stderr

Tests: sssd-softhism2-certificates-tests.sh
Depends: bash,
         gnutls-bin,
         openssl,
         passwd,
         softhsm2,
         sssd,
         util-linux
Restrictions: needs-root,
              allow-stderr

Test-Command: env
  OFFLINE_MODE=1
  bash debian/tests/sssd-smart-card-pam-auth-configs-tester.sh
Features: test-name=sssd-smart-card-pam-auth-configs
Depends: bash,
         gnutls-bin,
         libpam-sss,
         openssl,
         pamtester,
         passwd,
         softhsm2,
         sssd,
         util-linux
Restrictions: breaks-testbed,
              isolation-container,
              needs-root,
              allow-stderr

=== debian/watch ===
Version: 5

Source: https://github.com/SSSD/sssd/tags
Matching-Pattern: .*/releases/tag/@ANY_VERSION@
Filename-Mangle: s/@ANY_VERSION@$/sssd-$1.tar.gz/
Download-Url-Mangle: s#/tag/#/download/#;s#@ANY_VERSION@$#$1/@PACKAGE@-$1.tar.gz#
Pgp-Sig-Url-Mangle: s/$/.asc/
